## org.apache.cassandra.io.sstable
Class SSTableScanner

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableScanner

All Implemented Interfaces:
  java.io.Closeable, java.util.Iterator<IColumnIterator>, ICompactionScanner, CloseableIterator<IColumnIterator>

Direct Known Subclasses:
  SSTableBoundedScanner

    public class SSTableScanner

extends java.lang.Object
implements ICompactionScanner

Nested Class Summary
`protected class` `SSTableScanner.KeyScanningIterator`

Field Summary
`protected boolean` `exhausted`
`protected RandomAccessReader` `file`
`protected java.util.Iterator<IColumnIterator>` `iterator`
`SSTableReader` `sstable`

Method Summary
`void` `close()`
`java.lang.String` `getBackingFiles()`
`long` `getCurrentPosition()`
`long` `getLengthInBytes()`
`boolean` `hasNext()`
`IColumnIterator` `next()`
`void` `remove()`
`void` `seekTo(RowPosition seekKey)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### file

    protected final RandomAccessReader file

### sstable

    public final SSTableReader sstable

### exhausted

    protected boolean exhausted

### iterator

    protected java.util.Iterator<IColumnIterator> iterator

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Throws:
    `java.io.IOException`

### seekTo

    public void seekTo(RowPosition seekKey)

### getLengthInBytes

    public long getLengthInBytes()

  Specified by:
    `getLengthInBytes` in interface `ICompactionScanner`

### getCurrentPosition

    public long getCurrentPosition()

  Specified by:
    `getCurrentPosition` in interface `ICompactionScanner`

### getBackingFiles

    public java.lang.String getBackingFiles()

  Specified by:
    `getBackingFiles` in interface `ICompactionScanner`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<IColumnIterator>`

### next

    public IColumnIterator next()

  Specified by:
    `next` in interface `java.util.Iterator<IColumnIterator>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<IColumnIterator>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation